Page MenuHomeFreeBSD

lualoader: Add cli.lua(8) to the tree
ClosedPublic

Authored by kevans on Mar 24 2018, 3:47 AM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kevans created this revision.Mar 24 2018, 3:47 AM

I'm leaving cli_execute and cli_execute_unparsed undocumented for the time being, since they're:

1.) Kind of special kittens
2.) Actually global
3.) Less stable API

rpokala requested changes to this revision.Jun 8 2018, 3:48 AM
rpokala added inline comments.
stand/lua/cli.lua.8
5 ↗(On Diff #40670)

Per discussions over the last few months, remove "All rights reserved."

38 ↗(On Diff #40670)

"... commands, which can be executed at ..."

59 ↗(On Diff #40670)

s/of/off/

78 ↗(On Diff #40670)

The example function is cli.foo, but this says Foo -- capitalized. Is that intended?

96 ↗(On Diff #40670)

This -width value looks like a holdover from another manpage that you derived this from.

This revision now requires changes to proceed.Jun 8 2018, 3:48 AM
kevans updated this revision to Diff 43491.Jun 9 2018, 2:30 PM

I believe I've addressed your latest concerns. =)

rpokala accepted this revision as: rpokala.Jun 9 2018, 6:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jun 9 2018, 7:51 PM
This revision was automatically updated to reflect the committed changes.